@charset "UTF-8";
/* ======================================
   Color Variables
====================================== */
/* =========================
   Base
========================= */
/* =========================
   Text
========================= */
/* =========================
   Brand Green
========================= */
/* =========================
   Accent
========================= */
/* =========================
   UI Panel
========================= */
/* ================================
  　フォントの設定方法
    step1:サイトで使うフォントをすべて洗い出し、Google Fontsにアクセスして"Get font"
    step2:"Get font"したhtmlのコードをheadに貼る
    step3:"Get font"したcssのコードを_variables.scss(このファイル)に貼り、変数名を付ける
    step4:デフォルト以外のフォントを使いたい場面では定義した変数名を呼び出す
   ================================ */
.nav-link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  width: 255px;
  padding: 15px 0;
  font-family: "Rounded Mplus 1c";
  font-size: 14px;
  font-weight: 500;
  line-height: 150%;
  border-top: 1px dashed black;
}
.nav-link:last-child {
  border-bottom: 1px dashed black;
}
.nav-link__main {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 14px;
}
.nav-link__icon svg, .nav-link__deco svg {
  display: block;
}
.nav-link__icon svg {
  width: 24px;
  height: 24px;
}
.nav-link__deco svg {
  width: 14px;
  height: 14px;
}
.nav-link:hover {
  text-decoration: none;
}

.button {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  border-radius: 40px;
  background: #f4d35e;
  color: #333333;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 700;
  line-height: 1.6;
  border-style: solid;
  border-color: #333333;
  -webkit-box-shadow: 0 4px 0 0 #333333;
          box-shadow: 0 4px 0 0 #333333;
}
.button:hover {
  background: #f6d87b;
  text-decoration: none;
}

/* =====================================
    トップに戻るボタン

===================================== */
.pagetop {
  position: fixed;
  right: 10px;
  bottom: 53px;
  z-index: 51;
  width: 52px;
  height: 52px;
  border-radius: 50%;
  background-color: rgba(164, 212, 165, 0.7);
  color: #333333;
}
.pagetop svg {
  width: 100%;
  height: 100%;
}
.pagetop {
  opacity: 1;
  visibility: hidden;
  -webkit-transition: opacity 0.3s, visibility 0.3s;
  transition: opacity 0.3s, visibility 0.3s;
}
.pagetop.is-show {
  opacity: 1;
  visibility: visible;
}
@media screen and (min-width: 768px) {
  .pagetop {
    right: 20px;
    bottom: 100px;
  }
}

/* ----------------------
   fvのimgをbgとして使う型
   ---------------------- */
.fv {
  position: relative;
  overflow: hidden;
  height: calc(100vh - 60px - 60px);
}

.fv__bg {
  position: absolute;
  inset: 0;
  z-index: -1;
  background-image: url("../../images/green_bg2.jpg");
  background-repeat: repeat;
  background-size: cover;
  background-position: top 0 left 0;
  opacity: 0.5;
}
@media screen and (min-width: 768px) {
  .fv__bg {
    background-image: url("../../images/green_bg2.jpg");
    background-size: cover;
    background-position: top 0 left 0;
    background-repeat: repeat;
  }
}

.fv__frame {
  position: absolute;
  inset: 0 20px;
  display: grid;
  place-items: center;
}

/* コンテナを親要素内に自在に配置 */
.fv__container {
  position: relative;
  width: 100%;
  padding: 1rem 1.25rem;
  border-radius: 6px;
  max-width: 760px;
  background: rgba(255, 255, 255, 0.6);
  color: #333333;
  border-radius: 12px;
  backdrop-filter: blur(4px);
}
.fv__container h1 {
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.fv__container p {
  font-weight: 700;
  text-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.fv__container strong {
  background: -webkit-gradient(linear, left top, left bottom, color-stop(60%, transparent), color-stop(60%, #f4d35e));
  background: linear-gradient(transparent 60%, #f4d35e 60%);
}
.fv__container .fv__buttons {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 16px;
  margin-top: 16px;
}
.fv__container .button {
  padding: 4px 22px 6px;
  font-size: 14px;
  border-width: 2px;
}
@media screen and (min-width: 768px) {
  .fv__container .button {
    padding: 7px 37px 9px;
    font-size: 20px;
    border-width: 3px;
  }
}

/* ================================
   Header Layout
   ================================ */
.site-header {
  position: sticky;
  top: 0;
  z-index: 60;
  margin: 0 auto;
  color: #fff;
  /* Header Background Layer */
}
.site-header .header__bg {
  position: absolute;
  inset: 0;
  background: #3c6e47;
  z-index: -1;
}

/* ================================
   Header Bar
   ================================ */
.header-bar.inner--flex {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 8px;
  padding-block: 12px;
}

/* ================================
   Brand
   ================================ */
.header-bar .brand {
  width: 140px;
  height: auto;
  font-weight: 700;
  border-radius: 6px;
  overflow: hidden;
}
.header-bar .brand img {
  width: 100%;
  height: auto;
}
@media screen and (min-width: 768px) {
  .header-bar .brand {
    width: 200px;
  }
}

/* ================================
   Desktop navigation
   ================================ */
.desktop-nav {
  display: none;
}
@media screen and (min-width: 768px) {
  .desktop-nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 16px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 40px;
  }
  .desktop-nav .nav-links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 40px;
  }
}
@media screen and (min-width: 768px) and (min-width: 768px) {
  .desktop-nav .button {
    padding: 4px 22px 6px;
    font-size: 16px;
    border-width: 2px;
    -webkit-font-feature-settings: "pref" on;
            font-feature-settings: "pref" on;
  }
}
@media screen and (min-width: 768px) {
  .desktop-nav .nav-link {
    position: relative;
    border: none;
    width: 100%;
    padding: 5px 0;
  }
  .desktop-nav .nav-link__text {
    white-space: nowrap;
  }
  .desktop-nav .nav-link__main {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 8px;
  }
  .desktop-nav .nav-link__deco svg {
    display: none;
  }
  .desktop-nav .nav-link:last-child {
    border-bottom: none;
  }
  .desktop-nav .nav-link::after {
    position: absolute;
    content: "";
    bottom: 0;
    left: 50%;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
    width: 20px;
    width: 20px;
    height: 2px;
    background: #f6d87b;
    -webkit-transform: translateX(-50%) scaleX(0);
            transform: translateX(-50%) scaleX(0);
    -webkit-transform-origin: center;
            transform-origin: center;
    -webkit-transition: -webkit-transform 0.4s ease;
    transition: -webkit-transform 0.4s ease;
    transition: transform 0.4s ease;
    transition: transform 0.4s ease, -webkit-transform 0.4s ease;
  }
  .desktop-nav .nav-link:hover, .desktop-nav .nav-link.is-current {
    opacity: 0.8;
    color: #f6d87b;
  }
  .desktop-nav .nav-link:hover::after, .desktop-nav .nav-link.is-current::after {
    -webkit-transform: translateX(-50%) scaleX(1);
            transform: translateX(-50%) scaleX(1);
  }
}

/* ================================
   ハンバーガーメニュー(drawer-icon__bar)
   ================================ */
/* ================================
   Sidebar
   sidebarがない案件はhtmlの'<aside class="sidebar">'をコメントアウトする。
   page.scss(style.scss)の.main-bodyのflex-directionを変更することで
   レイアウトを変えることができます。

   注意）
   sidebarの内容が多すぎる場合、親の高さ(main.bodyのmin-height:100vh)を
   超えてしまうため、position:sticky;が効かなくなります。
   また、sidebarの祖先にoverflow:hidden;は禁止。
   ================================ */
.sidebar {
  position: relative;
  padding-top: 16px;
  padding-bottom: 60px;
}
.sidebar .sidebar__bg {
  position: absolute;
  inset: 0;
  z-index: -1;
  background-color: #faf7f0;
}
.sidebar .sidebar-section {
  padding-inline: 20px;
}
.sidebar .section-head-sub {
  font-size: 16px;
  margin-bottom: 14px;
  font-weight: 700;
}
.sidebar img {
  max-width: 150px;
  float: right;
  margin-left: 12px;
  border-radius: 6px;
}
@media screen and (min-width: 768px) {
  .sidebar {
    display: block;
    width: 240px;
    border-right: 1px solid #eee;
    padding: 16px;
    position: sticky;
    top: 87px;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
  }
}

/* ================================
   Sidebar詳細
   ================================ */
.sidebar-section {
  margin-bottom: 48px;
  margin-bottom: 0;
  /* 最後に来たテキスト要素だけ margin-bottom を殺す */
}
.sidebar-section > :last-child {
  margin-bottom: 0;
}

.sidebar-title {
  font-size: 14px;
  font-weight: 700;
  margin-bottom: 12px;
}

.sidebar-img {
  width: 100%;
  height: auto;
  border-radius: 6px;
  margin-bottom: 12px;
}

.sidebar-text {
  font-size: 12px;
  line-height: 1.6;
  color: #333333;
}

/* ================================
   footer
   ================================ */
.site-footer {
  margin: 0 auto;
  text-align: center;
  position: relative;
}
.site-footer .footer__bg {
  position: absolute;
  inset: 0;
  background: #4a7f57;
  z-index: -1;
}
@media screen and (min-width: 768px) {
  .site-footer .inner--footer {
    padding-block: 12px;
  }
}
.site-footer__main {
  margin-bottom: 60px;
}

.footer-nav {
  display: none;
}
@media screen and (min-width: 768px) {
  .footer-nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 16px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    margin-bottom: 20px;
  }
  .footer-nav .nav-links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 16px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}
@media screen and (min-width: 768px) and (min-width: 768px) {
  .footer-nav .button {
    padding: 4px 22px 6px;
    font-size: 16px;
    border-width: 2px;
    -webkit-font-feature-settings: "pref" on;
            font-feature-settings: "pref" on;
  }
}
@media screen and (min-width: 768px) {
  .footer-nav .nav-link {
    border: none;
    width: 100%;
    padding: 0;
    color: #ffffff;
  }
  .footer-nav .nav-link__main {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 8px;
  }
  .footer-nav .nav-link__text {
    white-space: nowrap;
  }
  .footer-nav .nav-link__deco svg {
    display: none;
  }
  .footer-nav .nav-link:last-child {
    border-bottom: none;
  }
  .footer-nav .nav-link:hover, .footer-nav .nav-link.is-current {
    opacity: 0.8;
    color: #f6d87b;
  }
}

.footer-meta {
  color: #ffffff;
}
.footer-meta .footer-copyright {
  font-size: 12px;
}
.footer-meta .footer__bg-credit {
  margin: 0;
  font-size: 9px;
  color: #f5f5f5;
}

/* ===============================
  固定フッター
================================ */
.site-footer__fixed {
  position: fixed;
  width: 100%;
  height: 60px;
  bottom: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  z-index: 50;
  color: #ffffff;
}
.site-footer__fixed .footer-fixed__bg {
  position: absolute;
  inset: 0;
  z-index: -1;
  background: #3c6e47;
}
.site-footer__fixed .inner--flex {
  width: 100%;
  height: 100%;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.site-footer__fixed span {
  font-size: 12px;
}
.site-footer__fixed .button {
  padding: 4px 22px 6px;
  font-size: 14px;
  border-width: 2px;
}

@media screen and (min-width: 768px) {
  .site-footer__main {
    margin-bottom: 0;
  }
  .site-footer__fixed {
    display: none;
  }
}
/* ================================
   説明：spのドロワーの設定方法
   step1 _variables.scssで$drawer-widthを設定する。
   step2 ドロワーのタイプ(A or B)によってstep-(A)または(B)を選定する。
   Step3 選定した方のドロワーの中身を編集する。(クラス名が別々なので選定していない方は無視でOK)
   Step4 オーバーレイの確認(通常は特に何もすることなし)
   ================================ */
/* ================================
   step2-(A)
   in-header:ヘッダーに属するドロワー

   ================================ */
.drawer-icon--in-header {
  position: relative;
  width: 32px;
  height: 32px;
}
.drawer-icon--in-header .drawer-icon__bar {
  position: absolute;
  left: 0;
  width: 32px;
  height: 3px;
  border-radius: 3px;
  background: #ffffff;
  -webkit-transition: top 0.3s linear, -webkit-transform 0.3s linear;
  transition: top 0.3s linear, -webkit-transform 0.3s linear;
  transition: transform 0.3s linear, top 0.3s linear;
  transition: transform 0.3s linear, top 0.3s linear, -webkit-transform 0.3s linear;
}
.drawer-icon--in-header .drawer-icon__bar:nth-of-type(1) {
  top: 2px;
}
.drawer-icon--in-header .drawer-icon__bar:nth-of-type(2) {
  top: 15px;
}
.drawer-icon--in-header .drawer-icon__bar:nth-of-type(3) {
  top: 28px;
}
.drawer-icon--in-header.is-checked .drawer-icon__bar:nth-of-type(1) {
  top: 15px;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}
.drawer-icon--in-header.is-checked .drawer-icon__bar:nth-of-type(2) {
  display: none;
}
.drawer-icon--in-header.is-checked .drawer-icon__bar:nth-of-type(3) {
  top: 15px;
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
}
@media screen and (min-width: 768px) {
  .drawer-icon--in-header {
    display: none;
  }
}

.drawer-content--in-header {
  position: fixed;
  top: 60px;
  right: 0;
  width: 100%;
  height: calc(100vh - 60px);
  background-color: #f3f1dc;
  text-align: center;
  -webkit-transform: translateX(100%);
          transform: translateX(100%);
  -webkit-transition: -webkit-transform 0.3s linear;
  transition: -webkit-transform 0.3s linear;
  transition: transform 0.3s linear;
  transition: transform 0.3s linear, -webkit-transform 0.3s linear;
}
.drawer-content--in-header.is-checked {
  -webkit-transform: translateX(0);
          transform: translateX(0);
}

/* ================================
   step2-(B)
   out-of-header:ヘッダーに属さない
   （独立した）ドロワー
   ================================ */
/* ================================
   Step3 
   Drawer Navigation (Mobile)
   ================================ */
.drawer-nav {
  height: 100%;
  padding-bottom: 60px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}
.drawer-nav .button {
  padding: 4px 22px 6px;
  font-size: 16px;
  border-width: 2px;
  -webkit-font-feature-settings: "pref" on;
          font-feature-settings: "pref" on;
}
.drawer-nav .nav-link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  width: 255px;
  padding: 15px 0;
  font-family: "Rounded Mplus 1c";
  font-size: 14px;
  font-weight: 500;
  line-height: 150%;
  color: #333333;
  border-top: 1px dashed #3c6e47;
}
.drawer-nav .nav-link:last-child {
  border-bottom: 1px dashed #3c6e47;
}
.drawer-nav .nav-link__main {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 14px;
}
.drawer-nav .nav-link__icon svg, .drawer-nav .nav-link__deco svg {
  display: block;
}
.drawer-nav .nav-link__icon svg {
  width: 24px;
  height: 24px;
}
.drawer-nav .nav-link__deco svg {
  width: 14px;
  height: 14px;
}

/* ================================
   Step4 
   Drawer Overlay
   ================================ */
/*
  - HTMLの構造としてはheader の外に配置
  - header / footer より上または下(z-index調整)
  - drawer-content より下
*/
.drawer-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  pointer-events: none;
  -webkit-transition: opacity 0.3s linear;
  transition: opacity 0.3s linear;
}
.drawer-overlay--in-header {
  z-index: 59;
}
.drawer-overlay--out-of-header {
  z-index: 61;
}
.drawer-overlay.is-visible {
  opacity: 1;
  pointer-events: auto;
}